curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_names": [
"<string>"
],
"media_input_names": [
"<string>"
],
"support_history": true,
"description": null,
"tags": null
}Retrieve a prompt dataset’s metadata by ID. Use to check dataset configuration or input schema.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_names": [
"<string>"
],
"media_input_names": [
"<string>"
],
"support_history": true,
"description": null,
"tags": null
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PromptDatasetResponse(dataset: shared.sqlalchemy.models.Dataset, tags: Optional[list['TagResponse']] = None)